View Issue Details

IDProjectCategoryView StatusLast Update
0002036Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterWA9PIE 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.647 
Target VersionFixed in Version6.4.0.659 
Summary0002036: ALE in DM-780 defaults to 2190m when no radio connected
DescriptionALE in DM-780 defaults to 2190m when no radio is connected
Steps To ReproduceLaunch Rig Control with real or demo radio
Launch Logbook
In Rig Control, close the radio tab
Open DM-780 and attempt to log a QSO
Note that - with no radio connected, the band field is defaulted to 2190m
Additional InformationThe fields should default to blank when there is no rig connection... and the user will enter a frequency and mode manually.

Band should be gray'd out and based on the frequency (as it does in Logbook's ALE).
TagsNo tags attached.
ModuleDM780
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-18 00:48

viewer   ~0003217

Fix checked in.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3508

K7ZCZ

2017-06-20 02:19

viewer   ~0003228

I have verified this fixed in the 652 build

WA9PIE

2017-06-21 22:24

administrator   ~0003249

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 03:19

viewer   ~0003277

No radio connected. Frequency read '0' and Band nil.

w4ase

2017-06-24 08:00

viewer   ~0003291

Yep no radio - freq reads 0

WA9PIE

2017-06-25 21:37

administrator   ~0003305

This is fixed per the steps described above.

WA9PIE

2017-06-25 21:37

administrator   ~0003306

Resolving... test complete.

w4elp

2017-06-26 06:06

viewer   ~0003325

v6533: Tested, confirm fixed.

WA9PIE

2017-07-04 23:30

administrator   ~0003469

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003504

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003576

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-17 19:44 WA9PIE New Issue
2017-06-17 19:44 WA9PIE Status new => assigned
2017-06-17 19:44 WA9PIE Assigned To => K7ZCZ
2017-06-18 00:48 K7ZCZ Note Added: 0003217
2017-06-20 02:19 K7ZCZ Note Added: 0003228
2017-06-20 02:19 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 22:07 K7ZCZ Status assigned => resolved
2017-06-21 22:07 K7ZCZ Resolution open => fixed
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003249
2017-06-24 03:19 g3ucq Note Added: 0003277
2017-06-24 08:00 w4ase Note Added: 0003291
2017-06-25 21:37 WA9PIE Note Added: 0003305
2017-06-25 21:37 WA9PIE Status assigned => resolved
2017-06-25 21:37 WA9PIE Note Added: 0003306
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-06-26 06:06 w4elp Note Added: 0003325
2017-07-01 08:23 WA9PIE Target Version 6.5 => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003469
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003504
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003576
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>